=== modified file 'assess_container_networking.py'
--- assess_container_networking.py	2016-08-26 15:23:59 +0000
+++ assess_container_networking.py	2016-09-13 21:33:20 +0000
@@ -5,7 +5,7 @@
 from copy import (
     copy,
     deepcopy,
-)
+    )
 import logging
 import re
 import os
@@ -19,17 +19,18 @@
     BootstrapManager,
     get_random_string,
     update_env,
-)
+    )
 from jujupy import (
     KVM_MACHINE,
     LXC_MACHINE,
     LXD_MACHINE,
-)
+    )
 from utility import (
+    JujuAssertionError,
     add_basic_testing_arguments,
     configure_logging,
     wait_for_port,
-)
+    )
 
 
 __metaclass__ = type
@@ -38,11 +39,6 @@
 log = logging.getLogger("assess_container_networking")
 
 
-# This needs refactored out to utility
-class JujuAssertionError(AssertionError):
-    """Exception for juju assertion failures."""
-
-
 def parse_args(argv=None):
     """Parse all arguments."""
 

=== modified file 'assess_controller_permissions.py'
--- assess_controller_permissions.py	2016-08-20 14:55:42 +0000
+++ assess_controller_permissions.py	2016-09-13 21:33:20 +0000
@@ -15,15 +15,16 @@
     assert_logout_login,
     list_users,
     User,
-)
+    )
 from deploy_stack import (
     BootstrapManager,
-)
+    )
 from utility import (
+    JujuAssertionError,
     add_basic_testing_arguments,
     configure_logging,
     temp_dir,
-)
+    )
 
 
 __metaclass__ = type
@@ -32,11 +33,6 @@
 log = logging.getLogger("assess_controller_permissions")
 
 
-# This needs refactored out to utility
-class JujuAssertionError(AssertionError):
-    """Exception for juju assertion failures."""
-
-
 def assert_add_model(user_client, permission):
     """Test user's ability of adding models."""
     try:

=== modified file 'assess_user_grant_revoke.py'
--- assess_user_grant_revoke.py	2016-09-08 21:17:19 +0000
+++ assess_user_grant_revoke.py	2016-09-13 21:33:20 +0000
@@ -23,12 +23,13 @@
 
 from deploy_stack import (
     BootstrapManager,
-)
+    )
 from utility import (
+    JujuAssertionError,
     add_basic_testing_arguments,
     configure_logging,
     temp_dir,
-)
+    )
 
 __metaclass__ = type
 
@@ -61,11 +62,6 @@
 SHARE_LIST_CTRL_ADMIN["adminuser@local"] = {"access": "admin"}
 
 
-# This needs refactored out to utility
-class JujuAssertionError(AssertionError):
-    """Exception for juju assertion failures."""
-
-
 def assert_equal(found, expected):
     found = sorted(found)
     expected = sorted(expected)

